commit:     a5b7ae13e99c01ea84a808cbc61afd99cba05f4f
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 26 11:47:17 2022 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Mon Dec 26 13:33:00 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a5b7ae13

media-video/mpv: require drm with wayland+vaapi

Builds fine without and not entirely sure which configurations truly
need USE=drm (nvidia-only so I don't test vaapi), but reports show
that it's unlikely to work with (at least) wayland in 0.35.

Already enabled by default and realistically everyone with USE=wayland
and vaapi will have the deps so there's little reason to disable it.

Skipping revbump as it's not overly a problem, mostly in preparation
for stabilization in case anyone did global USE=-drm or so.

Alternatively it may make sense to drop the USE and enable by default
if a non-headless/library build, but leaving that alone for now.

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 media-video/mpv/mpv-0.35.0-r1.ebuild | 5 ++++-
 media-video/mpv/mpv-0.35.0.ebuild    | 5 ++++-
 media-video/mpv/mpv-9999.ebuild      | 5 ++++-
 3 files changed, 12 insertions(+), 3 deletions(-)

diff --git a/media-video/mpv/mpv-0.35.0-r1.ebuild 
b/media-video/mpv/mpv-0.35.0-r1.ebuild
index befbfdd2ade0..5919ad1bb124 100644
--- a/media-video/mpv/mpv-0.35.0-r1.ebuild
+++ b/media-video/mpv/mpv-0.35.0-r1.ebuild
@@ -37,7 +37,10 @@ REQUIRED_USE="
        test? ( cli )
        tools? ( cli )
        uchardet? ( iconv )
-       vaapi? ( || ( X egl libplacebo wayland ) )
+       vaapi? (
+               || ( X egl libplacebo wayland )
+               wayland? ( drm )
+       )
        vdpau? ( X )
        vulkan? ( || ( X wayland ) libplacebo )
        xv? ( X )"

diff --git a/media-video/mpv/mpv-0.35.0.ebuild 
b/media-video/mpv/mpv-0.35.0.ebuild
index 6551a1953b76..1b855c04fbb5 100644
--- a/media-video/mpv/mpv-0.35.0.ebuild
+++ b/media-video/mpv/mpv-0.35.0.ebuild
@@ -37,7 +37,10 @@ REQUIRED_USE="
        test? ( cli )
        tools? ( cli )
        uchardet? ( iconv )
-       vaapi? ( || ( X egl libplacebo wayland ) )
+       vaapi? (
+               || ( X egl libplacebo wayland )
+               wayland? ( drm )
+       )
        vdpau? ( X )
        vulkan? ( || ( X wayland ) libplacebo )
        xv? ( X )"

diff --git a/media-video/mpv/mpv-9999.ebuild b/media-video/mpv/mpv-9999.ebuild
index 3138e56d9b66..a7b00cd2fc59 100644
--- a/media-video/mpv/mpv-9999.ebuild
+++ b/media-video/mpv/mpv-9999.ebuild
@@ -37,7 +37,10 @@ REQUIRED_USE="
        test? ( cli )
        tools? ( cli )
        uchardet? ( iconv )
-       vaapi? ( || ( X egl libplacebo wayland ) )
+       vaapi? (
+               || ( X egl libplacebo wayland )
+               wayland? ( drm )
+       )
        vdpau? ( X )
        vulkan? ( || ( X wayland ) libplacebo )
        xv? ( X )"

Reply via email to